localepurge (0.7.3.10) unstable; urgency=high

  * Remove the cleanup of /usr/share/X11/locale/* for now as it introduced
    breakage in several ways.  (Closes: #961641)
  * Convert fr.po to UTF-8. 

 -- Miguel Figueiredo <elmig@debianpt.org>  Sun, 02 Aug 2020 17:01:39 +0100

localepurge (0.7.3.9) unstable; urgency=medium

  * Remove localization files on /usr/share/X11/locale thanks to Topi
    Miettinen.
  * Don't remove /usr/share/aptitude/{mine-}help.txt. Thanks to Gianluigi 
    Tiesi. (Closes: #943949)
  * Remove NEWS.Debian.
  * Bump Standards to 4.5.0 version - no changes required. 
  * Preserve /usr/share/help/C. Thanks to Roderich Schupp. (Closes: #940236)

 -- Miguel Figueiredo <elmig@debianpt.org>  Wed, 20 May 2020 19:25:37 +0000

localepurge (0.7.3.8) unstable; urgency=medium

  * Remove translation files on /usr/share/vim/vim*/lang.
  * Avoid errors of output of ls -A, redirecting.
  * As localepurge don't delete files dependng if directory LC_MESSAGES 
    exists, updated documentation accordingly.  (Closes: #546028)
  * In remove_superfluous_files_under() test if directory is empty to avoid 
    find exit with error.  (Closes: #550109)
  * Fix grep extended-regex escaping which prevent to output tt locale.  
    (Closes: #803894)
 
 -- Miguel Figueiredo <elmig@debianpt.org>  Sun, 25 Aug 2019 11:09:41 +0100

localepurge (0.7.3.7) unstable; urgency=high

  * Undo removal of /usr/share/i18n as locale-gen depends on it.  (Closes:
    #933851)
  * postrm: Really fix newline escaping. 
  * Create temp file with mktemp and test if it's really created.  (Closes:
    #424845) 
  * postrm: remove deletion of etc/locale.nopurge.md5sum as it doesn't exist.

 -- Miguel Figueiredo <elmig@debianpt.org>  Sun, 04 Aug 2019 12:37:52 +0100

localepurge (0.7.3.6) unstable; urgency=medium

  [ Miguel Figueiredo ]
  * New maintainer.  (Closes: #870145).
  * Update package to current standards (4.4.0).
  * Fix typo in README.dpkg-path.  (Closes: #923503)
  * Fix newline. (Closes: #738472)
  * Remove more localization files: /usr/share/tcltk,
    /usr/share/cups/{templates,locale,doc-root}, /usr/share/calendar,
    /usr/share/i18n/locales, /usr/share/aptitude,
    /usr/share/help/<domain>/HELP_CONTENT(files & dirs).  (Closes: #673555)

 -- Miguel Figueiredo <elmig@debianpt.org>  Mon, 22 Jul 2019 22:34:00 +0100

localepurge (0.7.3.5) unstable; urgency=medium

  * Orphaning localepurge, maintainer set to Debian QA Group
    <packages@qa.debian.org>.
  * Deal with lintian warnings vcs-obsolete-in-debian-infrastructure

  [Debconf translation updates]
  * Russian Yuri Kozlov.  Closes: #888975

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 18 Nov 2018 12:15:08 +0100

localepurge (0.7.3.4) unstable; urgency=medium

  * Add a few more files to the whitelist based on
    feedback from Daniel Hahler and apt-file search.
    (Closes: #771973)

 -- Niels Thykier <niels@thykier.net>  Thu, 04 Dec 2014 18:41:28 +0100

localepurge (0.7.3.3) unstable; urgency=medium

  * Apply patch from Daniel Hahler to keep
     /usr/share/locale/all_languages from kdelibs5-data.
    (Closes: #771567, LP: #1243620)
  * New/updated translations:
    - Dutch, thanks Frans Spiesschaert.
    - Brazilian Portuguese, thanks Adriano Rafael Gomes.
    (Closes: #762631, #737469)

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Nov 2014 21:06:13 +0100

localepurge (0.7.3.2) unstable; urgency=high

  * [CVE-2014-1638] Create tempfiles in a safe manner using
    mktemp.  Thanks to Helmut Grohne for reporting the
    issue and helping with the patch.  (Closes: #736359)
  * Properly quote the usage / initialisation of the variables
    containing temp files.
  * Remove the creation of /var/tmp/reinstall_debs.sh during
    postrm.

 -- Niels Thykier <niels@thykier.net>  Sun, 26 Jan 2014 10:31:20 +0100

localepurge (0.7.3.1) unstable; urgency=low

  [ Niels Thykier ]
  * Bump Standards-Versions to 3.9.5 - no changes required.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #725468

  [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #729105
  * Danish (Joe Hansen).  Closes: #729152
  * Slovak (Slavko).  Closes: #729413
  * Basque (Iñaki Larrañaga Murgoitio).  Closes: #729464
  * Polish (Michał Kułach).  Closes: #729604
  * German (Frank Stähr).  Closes: #729784
  * Japanese (Atsushi Shimono).  Closes: #730173
  * Italian (Beatrice Torracca).  Closes: #730223
  * French (Christian Perrier).  Closes: #730295
  * Czech (Miroslav Kure).  Closes: #730334
  * Portuguese (Américo Monteiro).  Closes: #730339
  * Swedish (Martin Bagge / brother).  Closes: #730480
  * Spanish (Matías A. Bellone). Closes: #733730

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2014 11:21:11 +0100

localepurge (0.7.3) unstable; urgency=low

  * Upload to unstable.
  * Update debconf translations:
    - pt_BR: Thanks to Adriano Rafael Gomes.
    (Closes: #693377)
  * Update the debconf database with the current values from
    /etc/locale.nopurge (if the file exists).  Thanks to Samuel
    Bronson for the report.  (Closes: #691431)
  * Remove the "| hurd" in the "procps | hurd" dependency now
    that hurd has procps.
  * Remove full path to ucf and ucfr in the postinst and postrm
    scripts.
  * Bump Standards-Version to 3.9.4 - no changes required.
  * Unconditionally run "set -e" in postrm.
  * Correct the spelling of Francesco Potortì in the NEWS file
    and add him to d/copyright and AUTHORS in localepurge.8.
    (Closes: #690211)
  * Add "-n" to the call to mv(1) in d/postrm and override a
    lintian warning.

 -- Niels Thykier <niels@thykier.net>  Fri, 20 Sep 2013 14:40:06 +0200

localepurge (0.7.2) experimental; urgency=low

  * Fix typo in handling causing removal of all manpages when
    using dpkg --path-exclude.  Thanks to Roderich Schupp for
    the report.  (Closes: #676917)

 -- Niels Thykier <niels@thykier.net>  Sun, 10 Jun 2012 19:59:50 +0200

localepurge (0.7.1) experimental; urgency=low

  * Do not remove locale.alias with the dpkg approach.
  * Remove TODO.Debian.
  * Actually install README.dpkg-path.  This file was
    missing in 0.7.0.

 -- Niels Thykier <niels@thykier.net>  Wed, 06 Jun 2012 08:15:00 +0200

localepurge (0.7.0) experimental; urgency=low

  * New maintainer (Closes: #675783)
  * Add git repository for maintaining localepurge and add
    relevant Vcs fields to d/control.
  * Rewrite d/rules to use dh-tiny approach.
  * Bump debhelper compat to 9.
  * Update d/copyright.
    - New changes are licensed under GPL-2+.
  * Bump source format to 3.0 (native).
  * Bump Standards-Versions to 3.9.3 - no changes required.
  * Add support for using dpkg's --path-exclude instead of
    manually removing files.  Please refer to
    README.dpkg-path for pros and cons of the approach.
    (Closes: #603587)
  * Disable localepurge APT hook when apt is purging packages.
    (Closes: #620239)
  * Properly escape newline character in postrm.
    (Closes: #577982)

 -- Niels Thykier <niels@thykier.net>  Tue, 05 Jun 2012 22:08:31 +0200

localepurge (0.6.2+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #601571
    - Italian (Beatrice Torracca).  Closes: #610219
    - Slovak (Slavko).  Closes: #620728

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Apr 2011 07:20:47 +0200

localepurge (0.6.2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Actually call ucf in the postinst, in order to preserve user changes
    (Closes: #563683).
  * Standards version 3.9.1 (no changes needed)
  * Add dependency on debhelper
  * Fix syntax errors in NEWS.Debian
  * Register the configuration file via ucfr, so that ucf knows about it

 -- Iustin Pop <iustin@debian.org>  Fri, 20 Aug 2010 00:45:19 +0200

localepurge (0.6.2) unstable; urgency=low

  * Corrected entry in debian/NEWS.Debian file, which falsely attributed
    the rewrite to Luca Capello, while it was in fact Francesco Potorti,
    as is also mentioned in the changelog enttry for 0.6.0 below! Thanks
    again for bringing this silly oversight to my attention, Francesco!

  * usr/sbin/localepurge: apply patch sent in by Bert Schulze to fix
    incompatibility with bash 4.1 which broke localepurge. Thanks a
    lot for your contribution, Bert! (closes: #563426, #563427, #563597)

  * usr/sbin/localepurge: Added a check for existence of localepurge
    cache directory to address a FHS-noncompliance, as has been kindly
    pointed out by Piotr Lewandowski. (closes: #559470)

  * etc/apt/apt.conf.d/99-localepurge: Removed quoting of value as
    suggested by Julian Andres Klode. (closes: #548443)

  * Removed mention of debsums from control description and README.Debian
    as suggested by Oswald Buddenhagen, after Ryan Niebur kindly fixed
    its integration with debsums (via Bug#557463).

 -- Paul Seelig <pseelig@debian.org>  Mon, 04 Jan 2010 01:40:33 +0100

localepurge (0.6.1) unstable; urgency=low

  * usr/sbin/localepurge: Added a check for new localizations based on
    the man page directory. Reported by Luca Capello. (closes: #505561)

 -- Paul Seelig <pseelig@debian.org>  Sun, 26 Jul 2009 14:27:07 +0200

localepurge (0.6.0) unstable; urgency=low

  * Rewrite of localepurge script provided by Francesco Potorti, which
    also deletes Gnome and KDE related localizations. Thanks a lot for
    your wonderful contribution! (closes: #205214, #334424, #221636, #527888)

  * debian/po/ru.po: Russian debconf templates translation provided by
    Yuri Kozlov. Thanks for your contribution! (closes: #532069)

  * debian/po/eu.po: Basque debconf templates translation provided by
    Piarres Beobide. Thanks for your contribution! (closes: #534624)

  * debian/po/sv.po: Swedish debconf templates translation provided by
    Martin Bagge. Thanks for your contribution! (closes: #510803)

  * debian/po/fr.po: Corrected typo in French debconf templates translation
    as suggested by Simon Paillard. Thanks for the pointer! (closes: #507379)

  * debian/README.debian: corrected silly typo thanks to a hint provided
    by Jakub Wilk. (closes: #527930)

  * debian/postinst & debian/postrm: pass --debconf-ok to ucf invocation
    as kindly reported by Sam Morris. (closes: #516442)

  * usr/sbin/localepurge: added a --help/-h switch pointing to the man page
    and package docs, as asked for by Luca Capello. (closes: #505528)

  * Removed pointless debian/DONATIONS.tx as nobody ever bothered anyway.

  * Updated debian/README.debian with info regarding Gnome/KDE localizations.

  * Updated man page accordingly.

  * debian/control: Added bleachbit to Suggests, and reworded description
    to refelect the fact, that Gnome/KDE localization is taken care of too.

  * Acknowledging the former contributions by Frank S. Thomas and Thijs
    Kinkhorst, who both contributed a very appreciated non-maint upload.
    See the two former changelog entries for the exact details of their
    contributions. Thanks a lot to both of you!

 -- Paul Seelig <pseelig@debian.org>  Sat, 25 Jul 2009 22:39:12 +0200

localepurge (0.5.9-0.2) unstable; urgency=low

  * Non-maintainer upload to eliminate debmake.
  * Eliminate debmake (closes: #372978).
  * Remove other pre-etch cruft.
  * Checked for Debian Policy 3.6.3, no changes.
  * Make buildable on the hurd (closes: #415445).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 26 Jan 2008 12:14:59 +0100

localepurge (0.5.9-0.1) unstable; urgency=medium

  * Non-maintainer upload to fix RC bugs.

  * Mask the ucf call in debian/postrm so that the package does not fail on
    purge if ucf is not available. (closes: #431522)

  * Moved po-debconf from Build-Depends-Indep to Build-Depends because it is
    required to run the debian/rules clean target and dependencies required
    for this target must be listed in Build-Depends, see Debian Policy 7.6.

 -- Frank S. Thomas <fst@debian.org>  Sun, 09 Dec 2007 23:34:56 +0100

localepurge (0.5.9) unstable; urgency=high

  * First release after moving from Germany to Barcelona/Spain. :-)

  * debian/po/gl.po: Galician debconf templates translation provided by
    Jacobo Tarrio. Thanks for your contribution! (closes: #412800)

  * urgency=high: hoping to still see Jacobo's contribution in Etch.

 -- Paul Seelig <pseelig@debian.org>  Mon, 19 Mar 2007 11:01:29 +0100

localepurge (0.5.8) unstable; urgency=low

  * debian/po/es.po: Updated Spanish debconf translation provided by
    Rudy Godoy. Thanks again! (closes: #399853)

 -- Paul Seelig <pseelig@debian.org>  Tue, 28 Nov 2006 13:17:04 +0100

localepurge (0.5.7) unstable; urgency=low

  * debian/po/es.po: Added Spanish debconf translation provided by
    Rudy Godoy. Thank you! (closes: #394087)

 -- Paul Seelig <pseelig@debian.org>  Fri, 20 Oct 2006 23:24:19 +0200

localepurge (0.5.6) unstable; urgency=low

  * Removed old versions of postinst/postrm files from debian subdir.

  * debian/po/ja.po: Updated with new revision as supplied by Shimono
    Atsushi. Thank you! (closes: #384997)

  * debian/localepurge.templates: Made deletion of localized man pages
    the default setting.

  * debian/postrm: Update check for purge actions because config files
    were not removed anymore.

  * debian/postrm: Corrected last sentence by adding the missing word 'of'.

  * debian/postinst: Check for existence of $CONFIGFILE before chown'ing
    and chmod'ing it.

  * debian/postinst: Make sure a valid $CONFIGFILE exists before applying ucf.

  * debian/localepurge.config: To make sure it exists during very first
    installation of package, touch temp file "$LOCALEGEN". (closes: #381585)

  * usr/bin/localepurge: Move check for existence of configuration file
    to the very beginning of the script.

 -- Paul Seelig <pseelig@debian.org>  Wed, 30 Aug 2006 16:30:36 +0200

localepurge (0.5.5) unstable; urgency=low

  * debian/postinst: Removed redirection via "</dev/tty >/dev/tty" which
    breaks noninteractive usage as reported by Michael Eyrich (closes: #373186)

  * In addition, a big thanks to Matt Brown for further support regarding
    the ucf code portion he contributed before.

 -- Paul Seelig <pseelig@debian.org>  Sun, 02 Jul 2006 20:08:46 +0200

localepurge (0.5.4) unstable; urgency=low

  * Updated Czech translation po/cs.po sent in by Miroslav Kure
    (closes: #370293)

  * Close bugreport by Luca Tettamanti about reporting freed space in
    bytes instead of KBytes. This was already resolved with upload of
    version 0.5.2 which was still waiting in the incoming queue when the
    bug was detected. (closes: #369107)

 -- Paul Seelig <pseelig@debian.org>  Tue, 06 Jun 2006 20:44:15 +0200

localepurge (0.5.3) unstable; urgency=low

  * debian/postinst: Replace bashism "==" with "=" as reported by Jeff
    Teunissen. (closes: #369062)

  * debian/postinst: Replace bashism "&> $TEMPFILE" with "> $TEMPFILE 2>&1".

  * debian/control: Add ucf to Depends.

 -- Paul Seelig <pseelig@debian.org>  Sat, 27 May 2006 12:31:26 +0200

localepurge (0.5.2) unstable; urgency=low

  * usr/sbin/localepurge: Change "$(du -bs $1)" to "$(du -ks $1)" to
    correct display of space savings.

 -- Paul Seelig <pseelig@debian.org>  Sat, 27 May 2006 00:26:24 +0200

localepurge (0.5.1) unstable; urgency=low

  * debian/po: Added updated Dutch nl.po sent in by Bart Cornelis.
    (closes: #354592)

  * Really close Bug#341431 of last upload. (closes: #341431)

  * Closing bug report about nonexisting typo and request for file
    deletions which are not in the scope of this package.
    (closes: #368603, #324120)

 -- Paul Seelig <pseelig@debian.org>  Fri, 26 May 2006 04:16:37 +0200

localepurge (0.5.0) unstable; urgency=low

  * debian/control: Added "locales" to dependencies and don't ship
    /var/cache/localepurge/defaultlist anymore. We use the list of
    supported locales from the locales package instead.

  * debian/rules: Added debconf-updatepo to the clean target as
    suggested by Thomas Huriaux. (closes: #337266)

  * No longer fails to to preconfigure with exit status 10 as reported
    both by Julian Gilbey and Jari Aalto. (closes: #356294, #352675)

  * Removed ancient debian/preinst. (closes #341431)

  * usr/sbin/localepurge: Change "$(du -s $1)" to "$(du -bs $1)" as
    suggested by komar. This prevents localepurge from failing when the
    BLOCKSIZE variable is set. (closes: #348681)

  * Incorporated most changes sent in as a patch by Matt Brown to
    preserve user changes of the config file. (closes: #322169)

  * debian/po: Added updated German de.po sent in by Erik Schanze, a new
    Portuguese pt.po sent in by Miguel Figueiredo, and an updated French
    fr.po sent in by Christian Perrier. (closes: #345850, #330378,#337302)

  * debian/control: Added [!hurd-i386] for procps entry in Depends line.
    (closes: #348183)

 -- Paul Seelig <pseelig@debian.org>  Thu, 25 May 2006 22:05:46 +0200

localepurge (0.4.1) unstable; urgency=low

  * debian/control: Added "| debconf-2.0" to dependencies to make it
    'possible to install cdebconf, which we would eventually like to
    replace debconf' (words shamelessly copied from Joey Hess's posting
    to debian-devel).

 -- Paul Seelig <pseelig@debian.org>  Sat, 06 Aug 2005 23:46:39 +0200

localepurge (0.4) unstable; urgency=low

  * Added Bulgarian translation of the debconf template sent in by Yavor
    Doganov (closes: #317705).

 -- Paul Seelig <pseelig@debian.org>  Mon, 18 Jul 2005 21:02:46 +0200

localepurge (0.3) unstable; urgency=low

  * Update of Brazilian Portuguese translation of the debconf template
    by Tiago Bortoletto Vaz (closes: #298332). I never received this bug
    report via mail and only found it accidently while browsing the bug
    tracking system. What's wrong here?

  * Closing the bug regarding the procps dependency suggested by Jonas
    Smedegaard which was fixed with last upload. I had to resort to the
    bug tracking system to find out the bug number which i hadn't
    received by mail either!? (closes: #313013)

 -- Paul Seelig <pseelig@debian.org>  Wed, 06 Jul 2005 15:47:18 +0200

localepurge (0.2) unstable; urgency=low

  * Update of danish debconf translation debian/po/da.po sent in by
    Claus Hindsgaul. Thank you, Claus! (closes: #315395)

  * debian/control: Added procps to Depends line because the debconf
    script uses "ps" so the package must depend on procps (as suggested
    by Jonas Smedegaard).

 -- Paul Seelig <pseelig@debian.org>  Wed, 06 Jul 2005 15:15:25 +0200

localepurge (0.1) unstable; urgency=low

  * After seventyfive 0.0.* sub releases and the recently accomplished
    final release of Debian/sarge i dare switching version numbering one
    level up. This way the lower level version numbering will be available
    for eventual Debian/sarge security updates.

  * Updated Vietnamese, German, French and Czech debconf translations
    (closes: #311605, #311719, #312593, #313252).
    Actually there was no need to update any translations because the
    recent wording changes  (see #309054) didn't change any textual
    meaning and i did mention it in this very changelog with last
    release, didn't i?

  * Added initial Japanese debconf translation sent in by Shimono Atsushi.
    Thanks a lot! :-) (closes: #312495)

 -- Paul Seelig <pseelig@debian.org>  Wed, 15 Jun 2005 11:40:04 +0200

localepurge (0.0.75) unstable; urgency=low

  * Added Vietnamese debconf translation sent in by Clytie Siddall of
    the Vietnamese localization team. Thanks a lot! (closes: #309053)

  * debian/localepurge.templates: Correction of wording suggested by
    Clytie Siddall of the Vietnamese localization team (closes: #309054).
    Since the meaning is exactly the same as before, there is no need to
    take action for debconf translators.

 -- Paul Seelig <pseelig@debian.org>  Tue, 31 May 2005 14:43:12 +0200

localepurge (0.0.74) unstable; urgency=low

  * debian/localepurge.templates: Corrected a typo reported by Alfie
    Costa. Thanks a lot, Alfie! (closes: #283195)

  * debian/control: Corrected typo reported by Alfie Costa.
    Thanks a lot, again, Alfie! (closes: #292455)

 -- Paul Seelig <pseelig@debian.org>  Mon, 28 Feb 2005 22:27:51 +0100

localepurge (0.0.73) unstable; urgency=low

  * Added dutch debconf translation sent in by cobaco
    Thanks a lot! (closes: #281587)

 -- Paul Seelig <pseelig@debian.org>  Tue, 16 Nov 2004 22:34:39 +0100

localepurge (0.0.72) unstable; urgency=low

  * Added czech debconf translation sent in by Miroslav Kure.
    Thanks a lot, Miroslav! (closes: #273838)

 -- Paul Seelig <pseelig@debian.org>  Tue, 28 Sep 2004 17:34:22 +0200

localepurge (0.0.71) unstable; urgency=medium

  * Update of french debconf translation debian/po/fr.po sent in by
    Christian Perrier. Thanks, Christian! (closes: #267000)

 -- Paul Seelig <pseelig@debian.org>  Fri, 20 Aug 2004 14:26:53 +0200

localepurge (0.0.70) unstable; urgency=medium

  * Update of danish debconf translation debian/po/da.po sent in by
    Claus Hindsgaul. Thank you, Claus! (closes: #266711)

 -- Paul Seelig <pseelig@debian.org>  Wed, 18 Aug 2004 21:43:43 +0200

localepurge (0.0.69) unstable; urgency=medium

  * Update of german debconf translation debian/po/de.po sent in by Erik
    Schanze. Thanks again, Erik! (closes: #266150)

 -- Paul Seelig <pseelig@debian.org>  Wed, 18 Aug 2004 12:40:19 +0200

localepurge (0.0.68) unstable; urgency=medium

  * Added german debconf translation debian/po/de.po sent in by Erik
    Schanze (thanks a lot, Erik!) and adjusted both the english and the
    german wordings a little bit. (closes: #266150)

 -- Paul Seelig <pseelig@debian.org>  Mon, 16 Aug 2004 23:52:29 +0200

localepurge (0.0.67) unstable; urgency=medium

  * Changed "Recommends: debfoster, deborphan" to "Suggests:" as
    mindfully requested by Jeff Sheinberg (closes: #265569).

  * Added debian/DONATIONS.txt with hints for grateful users.

 -- Paul Seelig <pseelig@debian.org>  Sat, 14 Aug 2004 15:32:52 +0200

localepurge (0.0.66) unstable; urgency=high

  * Updated debian/po/pt_BR.po with newer translation sent in by Andre
    Luis Lopes. Thank you, Andre! (closes: #264217)

  * Made this upload urgency=high because translations should definitely
    be up to date for final release of sarge.

  * Added "Recommends: debfoster, deborphan" to debian/control and added
    a note about both packages to both debian/README.Debian and the
    debian/localepurge.8 man page.

 -- Paul Seelig <pseelig@debian.org>  Sun, 08 Aug 2004 14:46:48 +0200

localepurge (0.0.65) unstable; urgency=low

  * Replaced danish debconf translation debian/po/dk_DK.po with an updated
    debian/po/da.po by Claus Hindsgaul. (closes: #242872)

 -- Paul Seelig <pseelig@debian.org>  Sat, 10 Apr 2004 19:57:56 +0200

localepurge (0.0.64) unstable; urgency=low

  * Added french debconf translation sent in by Christian Perrier
    (closes: #237695)

 -- Paul Seelig <pseelig@debian.org>  Fri, 12 Mar 2004 23:25:07 +0100

localepurge (0.0.63) unstable; urgency=low

  * Applied patch by Martin Quinson to fix breakage introduced by his
    former po-debconf support patch which prevented purging of man page
    files. (closes: #236850)

 -- Paul Seelig <pseelig@debian.org>  Wed, 10 Mar 2004 12:44:54 +0100

localepurge (0.0.62) unstable; urgency=low

  * Added danish debconf translation sent in by Claus Hindsgaul
    (closes: #236495)

 -- Paul Seelig <pseelig@debian.org>  Sat, 06 Mar 2004 23:45:39 +0100

localepurge (0.0.61) unstable; urgency=low

  * Forgot to close the wishlist bug for switching to gettext-based
    debconf templates by Martin Quinson fixed with the last upload.
    (closes: #235491)

  * Closing more bug reports:

     - Explained via mail to bug reporter that localepurge's side effects as
       described in it's documentation have to be considered when using it.
       (closes: #228682)

     - Due to a coding error localepurge used to be verbose about freed
       space even when told not to. This has alread been fixed months
       ago but i forgot closing this bug until now. (closes: #202302)

 -- Paul Seelig <pseelig@debian.org>  Mon, 01 Mar 2004 00:54:43 +0100

localepurge (0.0.60) unstable; urgency=low

  * Applied patch by Martin Quinson to include po-debconf support.
    Strikes me as quite ironic: localepurge is devised to remove
    unnecessary localization files and this patch adds further
    localization stuff to it... ;-)

  * The former portuguese translation is removed from localepurge and
    needs someone to work it over before it could be reintroduced.

 -- Paul Seelig <pseelig@debian.org>  Sun, 29 Feb 2004 23:36:30 +0100

localepurge (0.0.59) unstable; urgency=low

  * debian/postinst: put '#QUICKNDIRTYCALC' at line 101 between
    parenthesis to escape the '#' so that it can be properly echoed
    when configuring disk space reporting (closes: #210688).

 -- Paul Seelig <pseelig@debian.org>  Sat, 13 Sep 2003 13:42:59 +0200

localepurge (0.0.58) unstable; urgency=low

  * Added a more explicit warning to package description, README.debian
    and the man page explaining that localepurge interferes with the
    Debian package management and related programs resulting in possibly
    unexpected, but harmless, behaviour. Added a description about how to
    temporarily circumvent such unexpected results to README.debian and
    the accompanying man page. (Closes: #202214)

 -- Paul Seelig <pseelig@debian.org>  Thu, 24 Jul 2003 17:28:16 +0200

localepurge (0.0.57) unstable; urgency=low

  * debian/localepurge.config: Replaced "env COLUMNS=160 ps -p" with
    "ps w -p" to enable wide output of /bin/ps. This fixes the problem
    reported by Sebastien Bacher: Grepping for 'dpkg-reconfigure' at
    line 341 always failed because 'ps -p $PPID' truncated the string to
    'dpkg-reconfigur'. Should be the same problem which Zygo Blaxell
    already reported in #161443 but which we both finally weren't able
    to reproduce anymore. (Closes: #201886)

  * /etc/apt/apt.conf.d/99-localepurge: Enable wide output of /bin/ps
    by replacing 'ps -p "$PPID"' with 'ps w -p "$PPID"'.

  * /usr/sbin/localepurge: Replaced "for LOCALE in $(ls $MANPAGEDIR |
    grep -v ^man[1-9])" with "for LOCALE in $(ls --ignore="man[1-9]*"
    $MANPAGEDIR)" as sugested by Alfie Costa in private mail to get
    rid of yet another grep call in favor of a builtin /bin/ls feature.

  * /usr/sbin/localepurge: Replaced "cat "$NEWLOCALELIST" | tr '\n' ' '"
    with "tr '\n' ' ' < "$NEWLOCALELIST"", thus getting rid of /bin/cat.
    Yet another fantastic hint of my alltime favorite shell wizard Alfie
    Costa: Thank you! :-)

  * /usr/sbin/localepurge: Replaced all "for file in $(echo foo/bar/*)"
    with "for file in foo/bar/*", thus letting 'for' do all expansion
    work  itself. As well replaced all 'echo ""' with a simple 'echo'.
    Guess who? Yes, Alfie Costa again! :-)

 -- Paul Seelig <pseelig@debian.org>  Sat, 19 Jul 2003 20:59:47 +0200

localepurge (0.0.56) unstable; urgency=low

  * Changed localepurge/{showfreedspace,quickndirtycalc,verbose}
    debconf priorities from medium to low again. Too much questions
    asked for David B Harris, and i do agree. (Closes: #200197)

 -- Paul Seelig <pseelig@debian.org>  Sun, 06 Jul 2003 15:22:38 +0200

localepurge (0.0.55) unstable; urgency=low

  * /usr/sbin/localepurge: Replaced sed command in get_used_space()
    with a shell function as suggested by Alfie Costa.

  * When i had created all locale files from the locales package for
    testing purposes i was surprised to see that localepurge.config
    created excessively large temporary files when dpkg-reconfiguring
    localepurge. Therefore i added a "sort -u" when creating double
    character locale names from underscore variations to prevent such
    situations.

 -- Paul Seelig <pseelig@debian.org>  Sat, 05 Jul 2003 23:37:04 +0200

localepurge (0.0.54) unstable; urgency=low

  * /usr/sbin/localepurge: Replaced "grep ^/" in get_used_space()
    with "sed 1d" as suggested by Christian Garbs (Closes: #199744).

 -- Paul Seelig <pseelig@debian.org>  Thu, 03 Jul 2003 00:45:51 +0200

localepurge (0.0.53) unstable; urgency=low

  * Replaced fast and inaccurate disk space calculation variant with
    another shell function which should now work with other locales.
    Since this bug was reopened it will probably be reclosed... ;-)
    (Closes: #198370)

 -- Paul Seelig <pseelig@debian.org>  Sat, 28 Jun 2003 01:59:33 +0200

localepurge (0.0.52) unstable; urgency=low

  * Simplified grepping for $PPID in both 'debian/localepurge.config' and
    '/etc/apt/apt.conf.d/99-localepurge' as suggested by Zygo Blaxell.

 -- Paul Seelig <pseelig@debian.org>  Sun, 22 Jun 2003 17:13:14 +0200

localepurge (0.0.51) unstable; urgency=low

  * Added "export LANG=C" to /usr/sbin/localepurge to internally exclude
    usage of locales other than C while running. (Closes: #198370)

 -- Paul Seelig <pseelig@debian.org>  Sun, 22 Jun 2003 17:13:14 +0200

localepurge (0.0.50) unstable; urgency=low

  * debian/localepurge.config: Rearranged debconf specific code and
      elevated all questions with priority "low" to "medium".
    debian/localepurge.templates: Arranged answers in such a way
      that verbose feedback is turned off by default.

  * Reworded some entries in "debian/localepurge.templates" for more
    clarity.

  * Made "debian/rules clean" remove "debian/tmp" subdirectory. I wonder
    how the loss of that went unnoticed all the time... ;-)

  * localepurge is (and should be) invoked by apt-get after package
    installations have been completed. Any error messages ocurring until
    after completion of package installations are output by actions
    taking place before localepurge is invoked and therefore can't be
    be moved until after the execution of localepurge. Turn off verbose
    execution to make sure to see error messages. (Closes: 110005)

 -- Paul Seelig <pseelig@debian.org>  Fri, 20 Jun 2003 18:47:46 +0200

localepurge (0.0.49) unstable; urgency=low

  * Replaced all occurrences of "find ... -type f" with shell
    equivalent "[ -f ... ]" in "/usr/sbin/localepurge", thus gaining
    some processing speed. Added a test "[ -h ... ]" as well to avoid
    dangling symlinks. Thanks to Alfie Costa! (Closes: #186211)

  * Got rid of awk usage by replacing it with a clever shell function.
    BIG THANKS to Alfie Costa again! (Closes: #186203)

  * Added choice of two functions for disk space calculation enabling to
    decide between slow but accurate or fast but inaccurate calculation
    of disk space changes. (Closes: #162138, #168432)

  * Where feasible, replaced /bin/ls with shell builtin 'echo'. Due to a
    suggestion by Alfie Costa - again! ;-) (Closes: #186206)

  * Added variable DONTBOTHERNEWLOCALE for those who don't want to
    have to bother about deciding whether to delete newly introduced
    locales. (Closes: #161443)

  * Now localepurge deletes superfluous locale and man page symlinks as
    well. (Closes: #190400)

  * localepurge doesn't delete complete directories with their contents
    but files contained in directories. Therefore the verbose output
    during file deletions, as output by '/bin/rm -v' is actually perfectly
    suitable for it's task. (Closes: #186127)

  * Won't fix localepurge's conflict with debsums. As already outlined
    in the README (please *do* read it!), localepurge is a hack and
    *not* integrated with Debian's package management. Users of
    localepurge *should* be aware of the possibility of negative side
    effects of package management related tools. (Closes: #186014)

  * The files in /var/lib/dpkg/info/* are dpkg's domain and i better
    won't mess around with it. (Closes: #166175)

  * Replaced all back tick command substitutions with "$()" constructs.

  * Updated /var/cache/localepurge/defaultlist with more complete version.

  * Bump up Standards version.

  * Slightly reformatted debian/changelog for better readability.

 -- Paul Seelig <pseelig@debian.org>  Sun, 15 Jun 2003 22:13:51 +0200

localepurge (0.0.48) unstable; urgency=low

  * Added "env COLUMNS=160" when grepping "$PPID" output at line 342
    of "debian/localepurge.config". A big THANKS goes to Tom Rini,
    Lloyd Zusman, and above all, Jeff Sheinberg for helping me to
    uncover the real culprit. (Closes: #162102, #165596)

  * Modified message displayed when checking system for new locale.

  * I won't add any code for purging localized debconf templates.
    The main objective of localepurge is not to get rid of any
    localizations but to regain some chunks of disk space when
    needed on smallish disks. The effort of inserting code to get
    rid of localized debconf templates would only add to localepurge's
    complexity and result in even more speed loss at the gain of pretty
    neglectable amounts of disk space (Closes: #99326).

  * localepurge is not meant to stay forever and every further activity
    making it more "user friendly" (instead of "admin friendly") strikes
    me as a waste of time. Therefore i won't add any description of each
    locale for the debconf dialog because it would only add to it's
    complexity. I'd really hate to receive bug reports based on errors
    introduced by efforts of making localepurge "user friendly". It already
    is too verbose anyway, IMHO. (Closes: #159242)

  * Get rid of the apt-localepurge transition package and added a Conflicts
    line to "debian/control". (Closes: #161214)

 -- Paul Seelig <pseelig@debian.org>  Sun, 26 Jan 2003 16:37:37 +0200

localepurge (0.0.47) unstable; urgency=low

  * Added a check for new locales which have not been considered by
    any prior configuration of localepurge. By default, newly found
    locales won't be touched at all until localepurge has been
    reconfigured for taking them into account as well. This should
    hopefully take care of a problem Tatsuya Kinoshita has made me
    aware of. (Closes: #155426)
  * Corrected localepurge.preinst message wording.

 -- Paul Seelig <pseelig@debian.org>  Mon, 5 Aug 2002 01:33:27 +0200

localepurge (0.0.46) unstable; urgency=low

  * Added a -verbose/-v switch to /usr/sbin/localepurge script and
    mention it in the accompanying man page.

 -- Paul Seelig <pseelig@debian.org>  Sun, 28 Jul 2002 23:39:39 +0200

localepurge (0.0.45) unstable; urgency=low

  * Removed Marc's mail address from changelog to prevent any possibility
    to attract unwanted spamming. ;-)

 -- Paul Seelig <pseelig@debian.org>  Sun, 28 Jul 2002 10:05:24 +0200

localepurge (0.0.44) unstable; urgency=low

  * /usr/sbin/localepurge: Rearranged the flow control constructs and
    limited the number of grep calls to accelerate processsing.

 -- Paul Seelig <pseelig@debian.org>  Sun, 28 Jul 2002 00:16:21 +0200

localepurge (0.0.43) unstable; urgency=high

  * /usr/sbin/localepurge: Disable calculation of LOCALEBEFORE
    and MANBEFORE if verbose mode is not turned on. Strange, that
    nobody complained about this before and that i didn't note this
    myself.  A big thanks goes to Marc Haber.

  * /usr/sbin/localepurge: Replace calculations of LOCALEBEFORE
    and MANBEFORE based on time consuming /usr/bin/du call with a
    variation of a /usr/bin/df call. By courtesy of Marc Haber.

 -- Paul Seelig <pseelig@debian.org>  Sat, 27 Jul 2002 01:54:56 +0200

localepurge (0.0.42) unstable; urgency=high

  * In "/etc/apt/apt.conf.d/99-localepurge": grep for "remove" string
    within $PPID (which happens to be apt-get's PID) and don't run
    "/usr/sbin/localepurge" if check is successfull. There is no need
    for execution if apt-get's action is not an install of some kind.
    Thanks to Michael Bertha for the hint at the $PPID! :-)

  * Adapted TODO.Debian and the BUGS section of the manual page accordingly.

 -- Paul Seelig <pseelig@debian.org>  Wed, 26 Jun 2002 12:51:20 +0200

localepurge (0.0.41) unstable; urgency=high

  * Add -debug/-d switch to /usr/sbin/localepurge script and mention
    it in the accompanying man page.

  * Corrected the date of the former changelog entry ...

 -- Paul Seelig <pseelig@debian.org>  Fri, 17 May 2002 22:45:29 +0200

localepurge (0.0.40) unstable; urgency=high

  * Corrected some misspellings reported by Tom Goulet <tomg@em.ca>.
    (Closes: #146899)

 -- Paul Seelig <pseelig@debian.org>  Thu, 16 May 2002 23:59:06 +0200

localepurge (0.0.39) unstable; urgency=high

  * Display output of '/bin/rm -v' when verbosity is turned on instead
    of creating the messages ourselves.  Information is more accurate and
    complete this way.

 -- Paul Seelig <pseelig@debian.org>  Mon, 29 Apr 2002 21:12:11 +0200

localepurge (0.0.38) unstable; urgency=high

  * Put grep commands between "". (Closes: #143779)

  * Made it delete only regular files instead of complete subdirectories
    to prevent deletion of symlinks set up by update-alternatives which
    could result in breaking package installations. Actually i do think
    that update-alternatives should be made robust enough to gracefully
    handle such situations but unfortunately i don't speak any Perl to
    help making this happen.  The downside of this change is that lots
    of empty directories are left over after execution of localepurge.

 -- Paul Seelig <pseelig@debian.org>  Sat, 27 Apr 2002 23:36:49 +0200

localepurge (0.0.37) unstable; urgency=medium

  * Before anything else, create default locale list with localepurge.config
    to make it available for the following debconf preconfiguration dialog if
    it doesn't already exist.  Debconf preconfiguration is taking place before
    any actual installation of package contents, so we have to make the default
    locale list available right before the start of the debconf dialog.

  * Include a script named "reinstall_debs.sh" in documentation which can be
    used as a remedy for installing packages which have accidently been
    processed due to faulty localepurge configuration.

  * Corrected a typo in debian/localepurge.config.

  * Reverted default setting for deletion of localized man pages in debconf
    template from yes to no. I suppose it's a saner default to give the admin
    a chance to first decide on her own before giving a reason to complain.
    This maybe helps to prevent situations like in Bug#139796.

 -- Paul Seelig <pseelig@debian.org>  Sun, 14 Apr 2002 14:15:55 +0200

localepurge (0.0.36) unstable; urgency=medium

  * Added a warning to package description in control file, README.debian
    and the manual page to remind installers of this package of the fact that
    they might break their system by using localepurge without knowing what
    they are doing.  I'm fed up with bug reports blaming localepurge for any
    random breakage. If it breaks your system due to your own requests then
    please simply don't use it (Closes: #138426, #139796).

  * Made debian/localepurge.config consider the default locale list we
    are shipping with this package so that a first time install presents
    a mostly complete locale range to choose from.  Installing it on a
    fresh Debian installation (running Debian on a HP PA-RISC machine ;),
    i noted that this was not the case until now.

  * debian/postrm: Added creation of a temporary shell script containing a
    recipe for reinstalling packages which localepurge has been taking care
    of before and displaying a message about it.

 -- Paul Seelig <pseelig@debian.org>  Sun, 14 Apr 2002 09:35:58 +0200

localepurge (0.0.35) unstable; urgency=medium

  * Removed dependency on locales package because it somewhat opposes
    localepurge's aim to save as much disk space as possible. The purpose
    of the locales package's presence was to create a mostly complete list
    of all locales names to be used in the debconf dialog.  But since a very
    complete pre-made list is already shipped with localepurge this shouldn't
    be necessary anymore although it will still be considered if present on
    the system (closes: #139804).

 -- Paul Seelig <pseelig@debian.org>  Mon, 25 Mar 2002 18:33:07 +0200

localepurge (0.0.34) unstable; urgency=low

  * Added a TODO.Debian file. Please read and help somebody!

  * Fixed a typo in apt-localepurge package description (closes: #135194)

  * Made debconf preselection consider already existing /etc/locale.nopurge
    when upgrading from and replacing the old pre-debconf apt-localepurge
    package (closes: #135197)

  * Since all locale names begin with lower case letters, appropriately
    adapt grep procedure for locales in debian/localepurge.config script.

 -- Paul Seelig <pseelig@debian.org>  Sat, 23 Feb 2002 16:59:24 +0200

localepurge (0.0.33) unstable; urgency=low

  * Ooops! I didn't remove "set -x" from the localepurge script which
    resulted in a lot of useless output... ;-)

 -- Paul Seelig <pseelig@debian.org>  Fri, 08 Feb 2002 22:11:00 +0200

localepurge (0.0.32) unstable; urgency=low

  * Made /usr/sbin/localepurge calculate total of freed disk space only
    when both locales and localized man pages have actually been purged.
    This fixes a scripting problem with the usage of an empty variable
    triggered when not having configured deletion of localized man pages.
    Reported by restless contributor Gustavo Noronha Silva <kov@debian.org>.

 -- Paul Seelig <pseelig@debian.org>  Fri, 08 Feb 2002 21:25:39 +0200

localepurge (0.0.31) unstable; urgency=low

  * Replaced all combinations of "sort" with "uniq" by "sort -u".

  * Removed useless file debian/locale.nopurge from sources.

  * Added a convenient note about how to reinstall all packages
    containing locale data with a single command in README.Debian.

 -- Paul Seelig <pseelig@debian.org>  Mon, 14 Jan 2002 17:39:09 +0200

localepurge (0.0.30) unstable; urgency=low

  * Confirmation from Andreas Tille <tille@debian.org> that stripping
    the trailing (not "leading" as written in the last changelog entry)
    ", " from locale listings fixes "Bug#128578". (Closes: #128578)

 -- Paul Seelig <pseelig@debian.org>  Mon, 14 Jan 2002 17:39:09 +0200

localepurge (0.0.29) unstable; urgency=low

  * Make sure that the list of locales to select is displayed on upgrade
    when no previous selections exist in the debconf database.  This is
    just to prevent skipping of the selection stage during an update due
    to the recently introduced automatic preselection feature.

  * Disabled debconf debugging aids which i used for testing purposes by
    uncommenting the according entries in debconf config file.

  * Added sed command to strip leading ", " from locale listings.  Otherwise
    this would confuse debconf e.g. such that it strips the last locale
    entry from the chosen entries or similar.  I have yet to confirm with
    bug reporter Andreas Tille <tille@debian.org> whether this is the
    needed correction to fix Bug#128578.  So i won't close this one now.

 -- Paul Seelig <pseelig@debian.org>  Fri, 11 Jan 2002 22:59:16 +0200

localepurge (0.0.28) unstable; urgency=low

  * Added some actualizations to the manual page, the control file
    and README.Debian.

 -- Paul Seelig <pseelig@debian.org>  Thu, 10 Jan 2002 23:36:45 +0200

localepurge (0.0.27) unstable; urgency=low

  * Made deletion of all locale data a configurable value PURGE_ALL
    in debconf database. Not that i recommend its use... ;-)

  * Made "dpkg-reconfigure localepurge" automagically reuse locale
    settings from /etc/locale.gen as preselections if it has set the
    value NEEDSCONFIGFIRST in debconf database in a prior run.

 -- Paul Seelig <pseelig@debian.org>  Thu, 10 Jan 2002 23:06:59 +0200

localepurge (0.0.26) unstable; urgency=low

  * Now really update /var/cache/localepurge/defaultlist instead of only
    the debian/defaultlist file which was not intended to stay *there*.
    Moved it to /var/cache/localepurge/defaultlist now.

  * Made debconf config script create double character locale names
    (like e.g. "de") of all underscore variations (like e.g. "de_DE").

  * Updated included /var/cache/localepurge/defaultlist accordingly.

  * Preselect locale settings in debconf dialog based on entries in
    /etc/locale.gen if no previous locale values are present in debconf
    database (Closes: #128063).

 -- Paul Seelig <pseelig@debian.org>  Thu, 10 Jan 2002 18:07:30 +0200

localepurge (0.0.25) unstable; urgency=low

  * Made debconf configuration ask further questions about deletion
    of man pages and verbose output only after succesfully choosing
    some locales to keep.

  * Updated /var/cache/localepurge/defaultlist with more content.

  * Update of Brazilian Portuguese translation of the debconf template
    by Gustavo Noronha Silva <kov@debian.org>.

  * Fixed a few typos in template file (Closes: #128368, #128369).

 -- Paul Seelig <pseelig@debian.org>  Tue, 08 Jan 2002 21:33:04 +0200

localepurge (0.0.24) unstable; urgency=low

  * debian/postrm: delete configuration file /etc/locale.nopurge when
    purging the package from system.

  * debian/config: check whether /etc/locale.gen exists and make
    sure to take its contents in account for configuration.

  * Split verbose mode from display of freed disk space summary and made
    verbose mode show all its purging actions again.

  * Added a debconf option for configuring both verbosity and summary
    of freed disk space separately.

 -- Paul Seelig <pseelig@debian.org>  Mon, 07 Jan 2002 18:12:57 +0200

localepurge (0.0.23) unstable; urgency=low

  * Made verbose operation mode output only what it is processing and
    report the freed disk space. It was just too much verbosity.

  * Added a debconf configuration option for toggling deletion of
    localized man pages as suggested by Gustavo ("principle of least
    surprise").

  * Updated description in control file, README.debian and the
    accompanying man page.

 -- Paul Seelig <pseelig@debian.org>  Sun, 06 Jan 2002 00:10:28 +0200

localepurge (0.0.22) unstable; urgency=low

  * Changed all occurencies of "==" to "=" in "/usr/sbin/localepurge".
    to make it usable with /bin/ash (Closes: #127793).

 -- Paul Seelig <pseelig@debian.org>  Fri, 04 Jan 2002 18:47:46 +0200

localepurge (0.0.21) unstable; urgency=low

  * Clean up $TEMPFILE after configuration is finished.

  * Corrected the wording of debconf template file regarding
    configuration and verbose output.

  * /etc/apt.conf.d/99-localepurge has already been declared being
    a conffile in a former revision of this package (Closes: #127428).

  * Brazilian translation of debconf template by Gustavo Noronha
    Silva <kov@debian.org>.

 -- Paul Seelig <pseelig@debian.org>  Wed, 02 Jan 2002 20:44:54 +0200

localepurge (0.0.20) unstable; urgency=low

  * Readded apt-localepurge's versioned dependency for localepurge
    in control file which i took out before for testing purposes but
    forgot to put back again...

  * Shortened verbose output messages and removed reporting on keeping
    of locale files retaining only information output about purges.

  * Made localepurge calculate and, when verbosity is turned on, show
    the disk space freed after deletion of superfluous locale files.

  * Due to popular demand, added removal of localized man pages from
    /usr/share/man directory as new feature. (Closes: #127333, #103744).

 -- Paul Seelig <pseelig@debian.org>  Tue, 01 Jan 2002 21:04:38 +0200

localepurge (0.0.19) unstable; urgency=low

  * Another debconf addition by Gustavo Noronha Silva <kov@debian.org>
    which asks whether localepurge should give verbose output.

  * Changed some of the texts displayed by debconf for more clarity.

  * Thanks again to an idea by Gustavo, added a default locale list
    as "/var/cache/localepurge/defaultlist" and added a postinst routine
    merging it with a pre-existing "/var/cache/localepurge/localelist".

  * Added a note about reconfiguring localepurge with dpkg-reconfigure(8)
    to README.Debian and the man page.

  * Removed references to "/usr/X11R6/share/locales" from man page and
    included Gustavo Noronha Silva <kov@debian.org> in the author section
    of both the man page and the README.Debian for his contributions.
    Thanks, Gustavo! :-)

 -- Paul Seelig <pseelig@debian.org>  Sat, 29 Dec 2001 16:58:14 +0200

localepurge (0.0.18) unstable; urgency=low

  * Readded localepurge conflict for apt-localepurge <= 0.0.10 in
    control file which i took out before for testing purposes but
    forgot to put back again...

 -- Paul Seelig <pseelig@debian.org>  Sat, 29 Dec 2001 00:53:02 +0200

localepurge (0.0.17) unstable; urgency=low

  * Gustavo Noronha Silva <kov@debian.org> thankfully added the debconf
    support i never dared to bother about (Closes: #126629).  Thanks!

  * Made it depend on debconf (>= 0.2.26) because of multiselect and locales
    (to get available locales) [Gustavo Noronha Silva <kov@debian.org>]

  * Extended the method for getting a list of the available locales on the
    system for the debconf configuration dialog.

  * Made some spelling corrections and other modifications to adapt debconf
    support to current localepurge version.

  * Removed obsolete check for /usr/X11R6/share/locale/LC_MESSAGES
    from "/usr/sbin/localepurge".

  * Made debconf store list of locales in "/var/cache/localepurge/locales"
    at first configuration run for later referral.  This way it is possible
    to reclaim deleted locale entries in "/etc/locale.nopurge".  This was
    largely inspired by Gustavo Noronha Silva <kov@debian.org> again. :-)

 -- Paul Seelig <pseelig@debian.org>  Thu, 27 Dec 2001 19:29:48 +0200

localepurge (0.0.16) unstable; urgency=low

  * Since this package contains new components it's stuck in incoming
    anyway. So i'll just give in and rename the source package in the
    hope it'll still make it into woody somehow...

 -- Paul Seelig <pseelig@debian.org>  Thu, 27 Dec 2001 16:11:01 +0200

apt-localepurge (0.0.15) unstable; urgency=low

  * Added an additional warning to "/etc/locale.nopurge" to make
    users aware of the fact that activating localepurge by only
    commenting out the marker line "NEEDSCONFIGFIRST" without
    defining any locale file to keep will result in deletion of
    all locale files.

  * Made installer package "apt-localepurge" depend on "localepurge"
    package with the same or larger version in control file.

  * Looks like it was a bad idea renaming this package before the
    possible woody freeze because it got stuck in incoming. So i'll
    revert the renaming for the source package and will defer this
    for a later occasion.

  * Since the versions between 0.0.10 and this one never made it into
    the main archive here are the respective changelog entries:
    - Wed, 19 Dec 2001 19:36:43 +0200
        * Hopefully fixed all lintian errors which are listed at
        "http://lintian.debian.org/reports/mPaul_Seelig.html".
    - Tue, 18 Dec 2001 23:40:11 +0200
        * Added conflict for apt-localepurge <= 0.0.10 in control file.
    - Tue, 18 Dec 2001 02:49:35 +0200
        * Made debian/rules clean debian directory from apt-localepurge subdir.
        * Fix wrong date (again) in debian/changelog...
    - Mon, 17 Dec 2001 23:58:10 +0200
        * Renamed package simplifying its name by removing the actually
          quite pointless "apt-" prefix.
        * Created empty "apt-localepurge" depending on "localepurge"
          for transitioning purposes.
        * Made localepurge stop telling how to make it stop telling how to
          make it stop telling... (closes: #103048, #121314)
        * localepurge will still keep looking for LC_MESSAGES directories in
          /usr/X11R6/share/locale although only a few packages still install their
          locale data in there. This will eventually disappear. (closes: #124214)

 -- Paul Seelig <pseelig@debian.org>  Wed, 26 Dec 2001 14:07:12 +0200

apt-localepurge (0.0.10) unstable; urgency=low

  * Make it depend on dpkg (>= 1.9.7) (closes: #101324)

  * Fix wrong date (again) in debian/changelog...

 -- Paul Seelig <pseelig@debian.org>  Mon, 18 Jun 2001 16:24:08 +0200

apt-localepurge (0.0.9) unstable; urgency=low

  * Test existence of locale directories (closes: #99325)

 -- Paul Seelig <pseelig@debian.org>  Sat, 02 Jun 2001 01:24:16 +0200

apt-localepurge (0.0.8) unstable; urgency=low

  * Fixed copyright to be more precise (aka GPL).

 -- Paul Seelig <pseelig@debian.org>  Wed, 30 May 2001 21:34:53 +0200

apt-localepurge (0.0.7) unstable; urgency=low

  * Added display of a message telling how to turn off verbosity in
    the "/usr/sbin/apt-localepurge" script in case the package's
    default verbosity is still turned on.

  * Updated manual page regarding verbosity switch in configuration
    file "/etc/locale.nopurge".

  * Added a warning to about irreversible deletion of locale files
    in "/etc/locale.nopurge".

  * Updated debian/README.debian.

  * Fixed wrong dates in debian/changelog... :-/

  * Last not least, first actual upload to Debian's Incoming directory.

 -- Paul Seelig <pseelig@debian.org>  Tue, 29 May 2001 17:03:47 +0200

apt-localepurge (0.0.6) unstable; urgency=low

  * Made messages about deleting/preserving files a configurable option.

 -- Paul Seelig <pseelig@debian.org>  Tue, 17 Apr 2001 01:20:56 +0200

apt-localepurge (0.0.5) unstable; urgency=low

  * Updated the debian/control file with a more accurate description.

 -- Paul Seelig <pseelig@debian.org>  Wed, 28 Mar 2001 06:12:13 +0200

apt-localepurge (0.0.4) unstable; urgency=low

  * Added an "if" clause to the dpkg post-invoke command to test for
    the existence of "/usr/sbin/apt-localepurge". This ensures that
    after removal of the apt-localepurge package itself no nasty error
    messages because of a missing "/usr/sbin/apt-localepurge" are showing
    up from dpkg.

 -- Paul Seelig <pseelig@debian.org>  Wed, 28 Mar 2001 04:28:12 +0200

apt-localepurge (0.0.3) unstable; urgency=low

  * Fixed displaying of message telling to edit configuration file.

 -- Paul Seelig <pseelig@debian.org>  Wed, 28 Mar 2001 02:12:03 +0200

apt-localepurge (0.0.2) unstable; urgency=low

  * Better descriptions in debian/README.debian and debian/control

  * Inverted the removal mechanism. Now every locale listed in the
    configuration file "/etc/locale.nopurge" will be kept and any
    other locale will be deleted if it contains a subdirectory named
    LC_MESSAGES.

  * Added a debian/preinst script renaming /etc/locale.purge to
    /etc/locale.purge-obsolete and mailing the local root user about
    the inverted apt-localepurge removal mechanism.

 -- Paul Seelig <pseelig@debian.org>  Mon, 26 Mar 2001 03:40:05 +0200

apt-localepurge (0.0.1) unstable; urgency=low

  * Initial release.

 -- Paul Seelig <pseelig@debian.org>  Sun, 25 Mar 2001 03:22:14 +0200

Local variables:
mode: debian-changelog
End:
